Processing: gdal merge converts no data in 0
Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23671

Description

gdal merge, as it is used in Processing, converts no data in 0

gdal_merge.py -ot Float32 -o  -of GTiff OUTPUT1.tif OUTPUT2.tif

See sample input and output files: http://www.faunalia.eu/~paolo/merge_null.zip

Previously this did not happen, on the same files.

Related issues:

Related to QGIS Application - Bug report # 17298: Processing: gdal merge pyth... Closed 2017-10-17

History

#1 - 2016-10-25 02:49 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

#2 - 2016-10-25 03:33 AM - Alexander Bruy

Looks like there are changes in gdal_merge behaviour. Works fine with GDAL 1.10.1

#3 - 2016-10-25 05:27 AM - Paolo Cavallini

I had a look to GDAL manpage, and could not spot the change. GDAL 2.1.1+dfsg-5 here.

#4 - 2017-02-14 09:19 AM - Giovanni Manghi

- Target version set to Version 3.0

- Status changed from Open to In Progress

gdalwarp manual states "The gdalwarp utility is an image mosaicing, reprojection and warping utility",

and in fact it works (to create mosaics) and is much more efficient than gdal_merge.py, not to speak richer of options, one of them the one to pick the

nodata from inputs.

We will replace the gdal raster merging tool with gdalwarp then.

#5 - 2017-05-01 01:02 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2017-07-24 04:24 PM - Giovanni Manghi

- Description updated

2.18 fixed here

https://github.com/qgis/QGIS/pull/4918

needs forwardport to master, will do when GDAL is restored in master so I will be able to test.

#7 - 2017-10-17 04:59 PM - Giovanni Manghi

Giovanni Manghi wrote:

2.18 fixed here

https://github.com/qgis/QGIS/pull/4918

needs forwardport to master, will do when GDAL is restored in master so I will be able to test.

now blocked by #17298

#8 - 2017-10-23 10:28 AM - Jürgen Fischer

- Related to Bug report #17298: Processing: gdal merge python error on QGIS 3 added

#9 - 2018-02-24 04:30 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Should be done now.
